import request from '@/utils/request'

// 查询分配规则列表
export function listAssignRule(query) {
  return request({
    url: '/qwAssignRule/page',
    method: 'get',
    params: query
  })
}

// 查询分配规则列表（指定参数版本）
export function pageAssignRule(params) {
  return request({
    url: '/qwAssignRule/page',
    method: 'get',
    params: params
  })
}

// 获取分配规则详细
export function getAssignRule(id) {
  return request({
    url: '/qwAssignRule/' + id,
    method: 'get'
  })
}

// 新增或编辑分配规则
export function addOrUpdateAssignRule(data) {
  return request({
    url: '/qwAssignRule/addOrUpdate',
    method: 'post',
    data: data
  })
}

// 删除分配规则
export function delAssignRule(id) {
  return request({
    url: '/qwAssignRule/' + id,
    method: 'delete'
  })
}

// 启用/停用分配规则
export function enableAssignRule(id, status) {
  return request({
    url: '/qwAssignRule/enable/' + id + '/' + status,
    method: 'post'
  })
}
